libtoml11/files/run-ptest: cleanup

Shellcheck -oall warnings fixed:
  - exit 1 if `cd tests` failes (SC2164)

  - Double quote `./${atest}` to prevent globbing and word splitting. (SC2086)

  - Check the test exit code directly intead of using $? (SC2181)

Other fixes:
  - The shebang sould traditionally be /usr/bin/env sh in case
    sh is not located in /bin.

  - Do not remove tests.log for every test.

Signed-off-by: Adam Duskett <adam.duskett@amarulasolutions.com>
Signed-off-by: Khem Raj <raj.khem@gmail.com>
This commit is contained in:
Adam Duskett 2026-02-17 16:41:37 +01:00 committed by Khem Raj
parent fddb601320
commit e1d3b9598e
No known key found for this signature in database
GPG Key ID: BB053355919D3314

View File

@ -1,10 +1,11 @@
#!/bin/sh
#!/usr/bin/env sh
cd tests || exit 1
rm -rf tests.log
cd tests
for atest in test_* ; do
rm -rf tests.log
./${atest} > tests.log 2>&1
if [ $? = 0 ] ; then
if ./"${atest}" >> tests.log 2>&1; then
echo "PASS: ${atest}"
else
echo "FAIL: ${atest}"